Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class XlsxCellHelper

    java.lang.Object
      net.sf.jasperreports.engine.export.ooxml.BaseHelper
          net.sf.jasperreports.engine.export.ooxml.XlsxCellHelper

    public class XlsxCellHelper

extends BaseHelper

Version:
  $Id: CellHelper.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`writer`

Constructor Summary
`XlsxCellHelper(java.io.Writer writer, XlsxStyleHelper styleHelper)`

Method Summary
`void` | `exportFooter()`
`void` | `exportHeader(JRExporterGridCell gridCell, int rowIndex, int colIndex)` public XlsxBorderHelper getBorderHelper() { return borderHelper; } /**
`void` | `exportHeader(JRExporterGridCell gridCell, int rowIndex, int colIndex, TextValue textValue, java.lang.String pattern, java.util.Locale locale, boolean isWrapText, boolean isHidden, boolean isLocked)`
`static java.lang.String` | `getColumIndexLetter(int colIndex)`
`static java.lang.String` | `getVerticalAlignment(VerticalAlignEnum verticalAlignment)`

Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XlsxCellHelper

    public XlsxCellHelper(java.io.Writer writer,
                          XlsxStyleHelper styleHelper)

Method Detail

### exportHeader

    public void exportHeader(JRExporterGridCell gridCell,
                             int rowIndex,
                             int colIndex)

  public XlsxBorderHelper getBorderHelper() { return borderHelper; } /**

### exportHeader

    public void exportHeader(JRExporterGridCell gridCell,
                             int rowIndex,
                             int colIndex,
                             TextValue textValue,
                             java.lang.String pattern,
                             java.util.Locale locale,
                             boolean isWrapText,
                             boolean isHidden,
                             boolean isLocked)

### exportFooter

    public void exportFooter()

### getVerticalAlignment

    public static java.lang.String getVerticalAlignment(VerticalAlignEnum verticalAlignment)

### getColumIndexLetter

    public static java.lang.String getColumIndexLetter(int colIndex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com